Read one cloud computer
curl --request GET \
--url https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"generatedAt": "2023-11-07T05:31:56Z",
"computer": {
"id": "<string>",
"source": "gateway",
"provider": "<string>",
"pool": "<string>",
"backend": "<string>",
"region": "<string>",
"state": "starting",
"status": "<string>",
"statusReason": "<string>",
"attention": "failed",
"cpu": 4503599627370495,
"memoryMb": 4503599627370495,
"diskGb": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"lastChangedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"organization": {
"id": "<string>",
"name": "<string>"
},
"image": "<string>",
"imageCurrent": null,
"runSeconds": 4503599627370495
},
"key": "<string>",
"trust": "<string>",
"attempts": 4503599627370495,
"idledAt": "2023-11-07T05:31:56Z",
"resumeRequestedAt": "2023-11-07T05:31:56Z",
"slotReleased": true,
"limits": {
"idleTimeoutSeconds": 4503599627370495,
"ttlSeconds": 4503599627370495,
"maxRunSeconds": 4503599627370495,
"maxPausedSeconds": 4503599627370495,
"autoDeleteSeconds": 4503599627370495,
"totalRunSeconds": 4503599627370495
},
"profile": "<string>",
"classification": "<string>",
"capabilities": [
"<string>"
],
"preemptible": true,
"settings": {
"image": "<string>",
"idlePauseSeconds": 4503599627370495,
"keepDays": 4503599627370495,
"persistent": true
},
"placement": {
"pool": "<string>",
"strategy": "<string>",
"outcome": "<string>",
"reason": "<string>",
"evaluatedAt": "2023-11-07T05:31:56Z",
"policies": [
"<string>"
],
"candidates": [
{
"pool": "<string>",
"trust": "<string>",
"eligible": true,
"hasCapacity": true,
"rank": 4503599627370495,
"reasons": [
"<string>"
]
}
]
},
"conversation": {
"sessionId": "<string>",
"chat": "main",
"member": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"lastActiveAt": "2023-11-07T05:31:56Z",
"activeTurnSince": "2023-11-07T05:31:56Z"
},
"reported": {
"state": "<string>",
"detail": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"events": [
{
"at": "2023-11-07T05:31:56Z",
"origin": "provider",
"type": "<string>",
"level": "info",
"message": "<string>"
}
],
"providerEventsError": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "computer_unavailable",
"code": "<string>",
"message": "<string>"
}Admin
Read one cloud computer
One computer in full, read now from its provider through the headless runner: its state and why, its size and image, the rules that pause and delete it, where the sandbox gateway placed it and why, the conversation it belongs to (organization, member and activity, never its name or content) and what happened to it. Nothing is run on the computer, so reading never wakes or keeps it awake. source is gateway or direct; id is the provider’s id from the fleet list.
GET
/
v1
/
admin
/
computer-fleet
/
computers
/
{source}
/
{id}
Read one cloud computer
curl --request GET \
--url https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/admin/computer-fleet/computers/{source}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"generatedAt": "2023-11-07T05:31:56Z",
"computer": {
"id": "<string>",
"source": "gateway",
"provider": "<string>",
"pool": "<string>",
"backend": "<string>",
"region": "<string>",
"state": "starting",
"status": "<string>",
"statusReason": "<string>",
"attention": "failed",
"cpu": 4503599627370495,
"memoryMb": 4503599627370495,
"diskGb": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"lastChangedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"pausedAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"organization": {
"id": "<string>",
"name": "<string>"
},
"image": "<string>",
"imageCurrent": null,
"runSeconds": 4503599627370495
},
"key": "<string>",
"trust": "<string>",
"attempts": 4503599627370495,
"idledAt": "2023-11-07T05:31:56Z",
"resumeRequestedAt": "2023-11-07T05:31:56Z",
"slotReleased": true,
"limits": {
"idleTimeoutSeconds": 4503599627370495,
"ttlSeconds": 4503599627370495,
"maxRunSeconds": 4503599627370495,
"maxPausedSeconds": 4503599627370495,
"autoDeleteSeconds": 4503599627370495,
"totalRunSeconds": 4503599627370495
},
"profile": "<string>",
"classification": "<string>",
"capabilities": [
"<string>"
],
"preemptible": true,
"settings": {
"image": "<string>",
"idlePauseSeconds": 4503599627370495,
"keepDays": 4503599627370495,
"persistent": true
},
"placement": {
"pool": "<string>",
"strategy": "<string>",
"outcome": "<string>",
"reason": "<string>",
"evaluatedAt": "2023-11-07T05:31:56Z",
"policies": [
"<string>"
],
"candidates": [
{
"pool": "<string>",
"trust": "<string>",
"eligible": true,
"hasCapacity": true,
"rank": 4503599627370495,
"reasons": [
"<string>"
]
}
]
},
"conversation": {
"sessionId": "<string>",
"chat": "main",
"member": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"lastActiveAt": "2023-11-07T05:31:56Z",
"activeTurnSince": "2023-11-07T05:31:56Z"
},
"reported": {
"state": "<string>",
"detail": "<string>",
"at": "2023-11-07T05:31:56Z"
},
"events": [
{
"at": "2023-11-07T05:31:56Z",
"origin": "provider",
"type": "<string>",
"level": "info",
"message": "<string>"
}
],
"providerEventsError": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "computer_unavailable",
"code": "<string>",
"message": "<string>"
}Authorizations
denApiKeybearerAuth
Path Parameters
Response
The computer.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Was this page helpful?